// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import { STRUCTURE_ELEMENTS } from '../../plugin-core/utils/StructureElements';

export const BEGRUENDUNG_STRUCTURE = {
  HCONTAINER: STRUCTURE_ELEMENTS.HCONTAINER,
  NUM: STRUCTURE_ELEMENTS.NUM,
  HEADING: STRUCTURE_ELEMENTS.HEADING,
  REF: STRUCTURE_ELEMENTS.REF,
  CONTENT: STRUCTURE_ELEMENTS.CONTENT,
  LONGTITLE: STRUCTURE_ELEMENTS.LONG_TITLE,
  P: STRUCTURE_ELEMENTS.P,
  UNORDERED_LIST: STRUCTURE_ELEMENTS.UL,
  LIST_ITEM: STRUCTURE_ELEMENTS.LIST_ITEM,
  TBLOCK: STRUCTURE_ELEMENTS.TBLOCK,
  AUTHORIALNOTE: STRUCTURE_ELEMENTS.AUTHORIALNOTE,
  TEXTWRAPPER: STRUCTURE_ELEMENTS.TEXTWRAPPER,
};

export const BEGRUENDUNG_GLIEDERUNGSEBENEN = [BEGRUENDUNG_STRUCTURE.HCONTAINER];
